Statistics Interface
Fetch statistics
GET/api/v6.1.0.4/hubs/{hub}/stats/metrics
| Query parameters | Prototype:
'fetch_values' ?: <bool>
'channel' ?: ( <str>+ )
'loc' ?: ( <str>+ )
'table' ?: ( <str>+ )
'metric' ?: ( <str>+ )
'time_gran' ?: ( <str '0' '1' '10' '60' '1440'>+ )
'scope' ?: ( <str '***' 'c**' 'cl*' 'c*t' '*l*' clt>+ )
'tstamp_begin' ?: <date_str_z>
'tstamp_end' ?: <date_str_z>
'updated_logs_since' ?: <date_str_z>
'updated_glob_since' ?: <date_str_z>
|
| Request headers | None |
| Request body | None |
| Response headers | Prototype:
X-Hvr-Logs-Last-Updated : <date_str_z>
X-Hvr-Glob-Last-Updated : <date_str_z>
X-Hvr-Logs-Last-Cycle : <date_str_z>
X-Hvr-Glob-Last-Cycle : <date_str_z>
|
| Response body (JSON) | Prototype:
metric<str> *: {
timegran<str '0' '1' '10' '60' '1440'> +: {
scope<str '***' 'c**' 'cl*' 'c*t' '*l*' clt> +: {
channel<str> +: {
loc<str> +: {
table<str> +: {
timestamp<date_str_z> *: metric_val<scal>
}
}
}
}
}
}
|
| Status codes | ✅ 200 OK ❌ 400 Bad Request |
| Required permissions | ReadOnly access level on hub |
Export statistics to a file
POST/api/v6.1.0.4/hubs/{hub}/stats/metrics/export
| Query parameters | None |
| Request headers | None |
| Request body (JSON) | Prototype:
'channel' ?: ( <str>+ )
'loc' ?: ( <str>+ )
'table' ?: ( <str>+ )
'metric' ?: ( <str>+ )
'time_gran' ?: ( <str '0' '1' '10' '60' '1440'>+ )
'scope' ?: ( <str '***' 'c**' 'cl*' 'c*t' '*l*' clt>+ )
'tstamp_begin' ?: <date_str_z>
'tstamp_end' ?: <date_str_z>
'format' : <str json csv xlsx>
|
| Response headers | None |
| Response body (JSON) | Prototype:
|
| Status codes | ✅ 200 OK ❌ 400 Bad Request |
| Required permissions | ReadOnly access level on hub |
| Events | Creates no events. |
Fetch oldest stats history time for time granularity and scope
GET/api/v6.1.0.4/hubs/{hub}/stats/oldest
| Query parameters | Prototype:
'time_gran' ?: ( <str '1' '10' '60' '1440'>+ )
'scope' ?: ( <str '***' 'c**' 'cl*' 'c*t' '*l*' clt>+ )
|
| Request headers | None |
| Request body | None |
| Response headers | None |
| Response body (JSON) | Prototype:
time_gran<str '1' '10' '60' '1440'> +: {
metric_scope<str '***' 'c**' 'cl*' 'c*t' '*l*' clt> +: <date_str_z>
}
|
| Status codes | ✅ 200 OK ❌ 400 Bad Request |
| Required permissions | ReadOnly access level on hub |